Bug 246052 - coolkey on solaris: expected a symbol name after '{'
coolkey on solaris: expected a symbol name after '{'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: coolkey (Show other bugs)
10
sparcv9 Other
low Severity low
: ---
: ---
Assigned To: Bob Relyea
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 01:02 EDT by David Leonard
Modified: 2009-12-18 00:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:56:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Leonard 2007-06-28 01:02:41 EDT
Description of problem:
  Building CoolKey on Solaris gets an error from ld
  But this is easily fixed (see end of this comment).

Version-Release number of selected component (if applicable):

  This is CoolKey 1.1.0 from source (cvs.fedora.redhat.com:/cvs/dirsec/coolkey
branch COOLKEY_1_1_0)

How reproducible:

  Easily

Steps to Reproduce:
1. unpack coolkey sources on solaris (9 or 10)
2. configure
3. make
  
Actual results:

grep -v ';+' /data/rc/u/davidl/coolkey/coolkey/src/coolkey/coolkeypk11.def |
grep -v ';-' | sed -e 's; DATA ;;' -e 's,;;,,' -e 's,;.*,,' > coolkeypk11.sym
/bin/bash ../../libtool --tag=CXX --mode=link g++  -g -O2  -L/opt/PCSCshim/lib
-R/opt/PCSCshim/lib -o libcoolkeypk11.la -rpath /usr/local/lib/pkcs11
-avoid-version -export-symbols coolkeypk11.sym -no-undefined
libcoolkeypk11_la-coolkey.lo libcoolkeypk11_la-dllmain.lo
libcoolkeypk11_la-locking.lo libcoolkeypk11_la-log.lo
libcoolkeypk11_la-machdep.lo libcoolkeypk11_la-object.lo
libcoolkeypk11_la-PKCS11Exception.lo libcoolkeypk11_la-slot.lo
../../src/libckyapplet/libckyapplet.la  -lpthread -ldl -lz 
echo "{ global:" > .libs/libcoolkeypk11.exp
cat coolkeypk11.sym | /usr/bin/sed -e "s/\(.*\)/\1;/" >> .libs/libcoolkeypk11.exp
echo "local: *; };" >> .libs/libcoolkeypk11.exp
 g++ -shared -nostdlib -Wl,-M -Wl,.libs/libcoolkeypk11.exp -o
.libs/libcoolkeypk11 /usr/local/lib/gcc/sparc-sun-solaris2.9/3.4.2/crti.o
/usr/ccs/lib/values-Xa.o
/usr/local/lib/gcc/sparc-sun-solaris2.9/3.4.2/crtbegin.o 
.libs/libcoolkeypk11_la-coolkey.o .libs/libcoolkeypk11_la-dllmain.o
.libs/libcoolkeypk11_la-locking.o .libs/libcoolkeypk11_la-log.o
.libs/libcoolkeypk11_la-machdep.o .libs/libcoolkeypk11_la-object.o
.libs/libcoolkeypk11_la-PKCS11Exception.o .libs/libcoolkeypk11_la-slot.o  -Wl,-R
-Wl,/var/tmp/build.coolkey/src/libckyapplet/.libs -Wl,-R -Wl,/usr/local/lib
-Wl,-R -Wl,/usr/local/lib -Wl,-R -Wl,/opt/PCSCshim/lib -L/usr/local/lib
-L/usr2/SOURCES/S9/gcc-3.4.2/objdir/gcc
-L/usr2/SOURCES/S9/gcc-3.4.2/objdir/sparc-sun-solaris2.9/libstdc++-v3/src/.libs
-L/usr2/SOURCES/S9/gcc-3.4.2/objdir/sparc-sun-solaris2.9/libstdc++-v3/src
-L/opt/PCSCshim/lib ../../src/libckyapplet/.libs/libckyapplet -lpthread -ldl -lz
-L/usr/local/lib/gcc/sparc-sun-solaris2.9/3.4.2
-L/usr/local/lib/gcc/sparc-sun-solaris2.9/3.4.2/../../../../sparc-sun-solaris2.9/lib
-L/usr/ccs/bin -L/usr/ccs/lib
-L/usr/local/lib/gcc/sparc-sun-solaris2.9/3.4.2/../../..
/usr/local/lib/libstdc++.so -lm -lgcc_s
/usr/local/lib/gcc/sparc-sun-solaris2.9/3.4.2/crtend.o
/usr/local/lib/gcc/sparc-sun-solaris2.9/3.4.2/crtn.o 
ld: fatal: .libs/libcoolkeypk11.exp: 2: expected a symbol name after `{'
collect2: ld returned 1 exit status
make[3]: *** [libcoolkeypk11.la] Error 1
make[3]: Leaving directory `/var/tmp/build.coolkey/src/coolkey'
make[2]: *** [all-recursive] Error 1

Expected results:

  no errors

Additional info:

The fix is pretty simple; a spurious blank line is ending up in the
coolkeypk11.sym file, so I changed it like this:

--- src/coolkey/Makefile.am     (revision 13)
+++ src/coolkey/Makefile.am     (working copy)
@@ -64,7 +64,7 @@
 # coreconf .def file to a simplistic but acceptable libtool .sym file
 #
 coolkeypk11.sym: coolkeypk11.def
-       grep -v ';+' $< | grep -v ';-' | sed -e 's; DATA ;;' -e 's,;;,,' -e
's,;.*,,' > $@
+       grep -v ';+' $< | grep -v ';-' | sed -e 's; DATA ;;' -e 's,;;,,' -e
's,;.*,,;/^$$/d' > $@
 
 clean-generic:
        rm -f coolkeypk11.sym
Comment 1 Bob Relyea 2007-06-28 16:56:17 EDT
David, what happens if you run autoconf first?

bob
Comment 2 David Leonard 2007-06-28 19:52:34 EDT
(In reply to comment #1)
> David, what happens if you run autoconf first?

Hi Bob,

Someone already has run automake/autoconf, because configure and all the related
detritus are checked into CVS. I wanted a minimal patch and like to avoid a
dependency on autotools in any redistribution. So, the local patch I'm really
using includes changes to both Makefile.am and Makefile.in (I reason this is OK
because coolkeypk11.sym is not an automake rule)

Previously I had played about with autoconf and libtool to fix this problem but
without success. I had wrongly believed it to be a bug in libtool.
Comment 3 Bug Zapper 2008-11-25 20:56:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 07:20:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 00:56:31 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.